<?php
/**
 * @file
 * @brief Cron jobs triggered by website requests.
 */

/**
 * Email address where the cron busy messages are send to.
 */
define('EMAIL_CRON', "martin@emphasize-it.de"); 


/**
 * Indicates non idle activity, sends the $msg via email and exits
 */
function busy($msg) {
  
 $title = '[cron.freier-kindergarten-leipzig.de] '.$msg;
 $mail = $msg."\n\n";
 
 mail(EMAIL_CRON, $title, $mail, "From: ".EMAIL_CRON."\r\nContent-Type: text/plain; charset=utf-8\r\nContent-Transfer-Encoding: 8bit\r\n");
 
 exit();
}

if (file_exists(dirname(__FILE__) . '/cache/next.cron')) {
  $cron=file_get_contents(dirname(__FILE__) . '/cache/next.cron');
} else {
  $cron=0;
}

if ($cron < time()) {
 require(dirname(__FILE__) . '/validator.php');
 // only idle does not exit and continues here:
 file_put_contents(dirname(__FILE__) . '/cache/next.cron', strtotime("tomorrow"));
}
?>
