<?php
/**
 * Internationalisation.
 * In php-Files with output to translate use after require_once: ob_start("i18n");
 */

if (isset($_REQUEST["lang"])) {
 $lang = $_REQUEST["lang"];
} else if (isset($_SERVER['HTTP_ACCEPT_LANGUAGE'])) {
 $lang = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);
}

function i18n($s) {
 global $lang;
 global $searchReplace;

 $translation=array();
 if (isset($lang) && file_exists(dirname(__FILE__)."/i18n_".$lang.".php")) {
  require(dirname(__FILE__)."/i18n_".$lang.".php");
 } else {
  // default language
  $lang = "en";
  require(dirname(__FILE__)."/i18n_".$lang.".php");
 }
 return str_replace(array_keys($translation), array_values($translation), $s);
}

?>
