<?php
require_once (dirname(__FILE__) . '/config.php');
require_once (dirname(__FILE__) . '/i18n.php');

header('Content-Type: text/html;charset=UTF-8');

$id = base_convert($_GET["stamp"], 36, 10) * 1;
if (file_exists(dirname(__FILE__) . "/data/" . $id . ".new")) {
 rename(dirname(__FILE__) . "/data/" . $id . ".new", dirname(__FILE__) . "/data/" . $id . ".ok");
 $o = json_decode(file_get_contents(dirname(__FILE__) . '/data/' . $id . '.ok'));
 $lang=$o->lang;
 if (file_exists(dirname(__FILE__) . '/data/staging/' . $o->attachmentId . '.jpg')) {
  rename(dirname(__FILE__) . '/data/staging/' . $o->attachmentId . '.jpg', dirname(__FILE__) . '/data/' . $id . '.jpg');
 }
 
 $title = i18n('Aktivierung Ihres Beitrags').' "' . $o->title . '"';
 $mail = str_replace(array("%name%", "%created%", "%valid_to%", "%reminder%"), array($o->name, date("Y-m-d H:i:s", $o->created), date("Y-m-d H:i:s", $o->valid_to), date("Y-m-d", $o->reminder)), i18n("Hallo %name%,\n\nIhr Beitrag vom %created% auf der Pinnwand wurde soeben durch den Moderator angenommen. Der Beitrag hat eine Gültigkeit bis %valid_to% und kann durch eine weitere Email nach dem %reminder% verlängert werden.")) . "\n\n";
 $mail .= i18n('Zum sofortigen Löschen des Beitrags öffnen Sie bitte folgende Seite:').' ' . HTTP_BASE . 'delete.php?stamp=' . base_convert($id, 10, 36) . "\n\n";
 $mail .= i18n('Mit freundlichen Grüssen,') . "\n".NAME_PROVIDER."\n\n";
 
 mail($o->email, $title, $mail, "From: " . EMAIL_PROVIDER . "\r\nContent-Type: text/plain; charset=utf-8\r\nContent-Transfer-Encoding: 8bit\r\n");
 
 echo (MINI_NOTIFY_PREFIX . i18n("Beitrag veröffentlicht!") . MINI_NOTIFY_SUFFIX);
} else {
 echo (MINI_NOTIFY_PREFIX . i18n("Beitrag wurde bereits gelöscht.") . MINI_NOTIFY_SUFFIX);
}
?>
